<?php
ob_start();
session_start();

require '../../../conexion.php';
require_once('../../../include/sesiones.php');
require_once dirname(__FILE__).'../../vendor/autoload.php';

use Spipu\Html2Pdf\Html2Pdf;
use Spipu\Html2Pdf\Exception\Html2PdfException;
use Spipu\Html2Pdf\Exception\ExceptionFormatter;

$vena_id=$_GET['vena_id'];
$query=mysqli_query($con,"SELECT * FROM ventas_apartadas where vena_id='$vena_id' and empresa='$empresa' ");
$roww=mysqli_fetch_array($query);
$vena_nombre=$roww['vena_nombre'];
$vena_n_venta=$roww['vena_n_venta']; 

try {
    ob_start();
    include(dirname('__FILE__').'/apartados/apartado5.php');
    $content = ob_get_clean();

    $html2pdf = new Html2Pdf('P', 'A4', 'fr', true, 'UTF-8', 0);
    $html2pdf->pdf->SetDisplayMode('fullpage');
    $html2pdf->writeHTML($content);
    $html2pdf->Output($vena_nombre.'-'.$vena_n_venta.'.pdf', 'I');
} catch (Html2PdfException $e) {
    $html2pdf->clean();

    $formatter = new ExceptionFormatter($e);
    echo $formatter->getHtmlMessage();
}
?>